## com.declarativa.interprolog.util
Interface OutputListener

All Known Implementing Classes:
  Recognizer

public interface OutputListener

Interface by which an OutputHandler client can receive output to analyse

Method Summary
`void` `analyseBytes(byte[] buffer, int nbytes)` nBytes new output bytes are in buffer to analyse
`void` `streamEnded()`

Method Detail

### analyseBytes

    public void analyseBytes(byte[] buffer,
                             int nbytes)

  nBytes new output bytes are in buffer to analyse

### streamEnded

    public void streamEnded()